import { WebSocketMessage } from './websocket-message';

export interface MessageData {
  originator?: string;
  timestamp?: Date;
  typing?: boolean;
  buttons?: Array<'yes'|'no'|'solution'|'hint'|'fix'>;
  command?: any;
  message: string;
}

export interface MessageButton {
  [Key: string]: string;
}


export interface Message extends MessageData, WebSocketMessage {}
